> ## Documentation Index
> Fetch the complete documentation index at: https://docs.korint.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Acknowledge compliance alert



## OpenAPI

````yaml /openapi.json patch /view-specific/compliance/{alertId}/acknowledge
openapi: 3.0.0
info:
  title: Korint Documentation
  description: Korint API Documentation
  version: 1.0.0
  contact: {}
servers: []
security:
  - bearerAuth: []
tags: []
paths:
  /view-specific/compliance/{alertId}/acknowledge:
    patch:
      tags:
        - view-specific
      summary: Acknowledge compliance alert
      operationId: ViewSpecificController_acknowledgeComplianceAlert
      parameters:
        - name: alertId
          required: true
          in: path
          schema:
            type: string
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UpdateAlertOutput'
components:
  schemas:
    UpdateAlertOutput:
      type: object
      properties:
        type:
          type: string
        id:
          type: string
        checkId:
          type: string
        createdAt:
          format: date-time
          type: string
        acknowledged:
          type: boolean
        acknowledgedAt:
          format: date-time
          type: string
        externalId:
          type: string
        data:
          $ref: '#/components/schemas/ComplianceDataItem'
      required:
        - type
        - id
        - checkId
        - createdAt
        - acknowledged
    ComplianceDataItem:
      type: object
      properties:
        lists:
          type: array
          items:
            type: string
        comment:
          type: string
        externalId:
          type: string
        rawdata:
          type: array
          items:
            type: object
      required:
        - lists

````